Skip to content
Docs

HELOC Pre-Qualification/Offers

Pre-qualify (v1)

POST/products/heloc/pre-qualify/v1

Generate personalized HELOC offers for potential affiliate leads.

Request
curl -X POST \
  "https://api.test.figure.com/products/heloc/pre-qualify/v1" \
  -H "Content-Type: application/json" \
  -d '{
  "affiliateId": "e5c722ec-eaf1-4cb1-8fcb-f2c16b31fade",
  "firstName": "Carlos",
  "lastName": "Johnsontesth",
  "suffix": "jr",
  "email": "cj@test.com",
  "address": {
    "uuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
    "street1": "3082 KENSINGTON CT SW",
    "street2": "string",
    "city": "ATLANTA",
    "state": "GA",
    "zip": "30331",
    "type": "HOME",
    "ownership": "SOLE",
    "ownerLegalName": "string"
  },
  "leadId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
  "phone": "3109631497",
  "selfCreditRating": "EXCELLENT",
  "requestType": "OFFERS",
  "source": "string",
  "remarketingAllowed": true,
  "dob": "1956-01-01",
  "fico": 740,
  "amountToBorrow": 200000,
  "currentMortgageBalances": 400000,
  "campaignName": "Affiliate Heloc Campaign",
  "campaignSubSource": "string",
  "ssn": "666489780",
  "employmentStatus": "EMPLOYED",
  "householdIncome": 200000,
  "monthlyExpenses": 1000,
  "mailingAddress": {
    "uuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
    "street1": "3082 KENSINGTON CT SW",
    "street2": "string",
    "city": "ATLANTA",
    "state": "GA",
    "zip": "30331",
    "type": "HOME",
    "ownership": "SOLE",
    "ownerLegalName": "string"
  },
  "loanPurpose": "EDUCATION",
  "privacyPolicyOptIn": false,
  "queryParams": "utm_id=123456",
  "propertyValue": 1000000,
  "monthlyMortgagePayment": 1648.95
}'

Request body

application/json

  • affiliateIdstring<uuid>Required

    This 36 char UUID is the API key

  • requestTypeenumRequired

    RequestType:

    • OFFERS - returns offers
    • PREQUAL - returns status and url
    • PREPOP - bypasses prequalification and makes all fields optional
    One ofUNKNOWN_REQUESTOFFERSPREQUALPREPOPLEADUNRECOGNIZED
  • remarketingAllowedbooleanRequired

    Based on affiliate agreement, determines whether Figure is able to remarket via email & SMS

    Default true

  • loanPurposeenumRequired

    Not required but highly encouraged, used for prepop on registration page LoanPurpose:

    • DEBT_CONSOLIDATION
    • HOME_IMPROVEMENT
    • TRAVEL
    • EDUCATION
    • HEALTH_OR_MEDICAL
    • CARING_FOR_FAMILY
    • RETIREMENT
    • MAJOR_PURCHASE
    • OTHER
    One of
    11 valuesUNKNOWN_LOAN_PURPOSEDEBT_CONSOLIDATIONHOME_IMPROVEMENTTRAVELEDUCATIONHEALTH_OR_MEDICALCARING_FOR_FAMILYRETIREMENTMAJOR_PURCHASEOTHERUNRECOGNIZED

    Default UNKNOWN_LOAN_PURPOSE

  • privacyPolicyOptInbooleanRequired

    Determines if user accepted the Figure Privacy Policy or not

    Default false

  • firstNamestring

    First name

  • lastNamestring

    Last name

  • suffixstringnullable

    suffix

  • emailstring

    Email address

  • addressobject
    ShowHide 9 attributes of address
    • uuidstring<uuid>
    • street1string

      Property street address

    • street2string

      Property street continued

    • citystring

      Property city

    • statestring

      2 char US state

    • zipstring

      5 or 5+4 char US zip code

    • typeenum

      Type:

      • HOME
      • MAILING
      • SECONDARY
      • INVESTMENT
      One ofHOMEMAILINGSECONDARYINVESTMENTUNRECOGNIZED
    • ownershipenum

      Ownership:

      • SOLE
      • JOINT
      • TRUST
      • LLC
      • OTHER
      • UNKNOWN
      One ofUNKNOWNSOLEJOINTTRUSTLLCOTHERUNRECOGNIZED
    • ownerLegalNamestring
  • leadIdstring

    The lead's unique identifier

  • phonestring

    Phone number

  • selfCreditRatingenum

    CreditProfileDescription:

    • UNKNOWN_CREDIT
    • EXCELLENT
    • GOOD
    • FAIR
    • POOR
    One ofUNKNOWN_CREDITEXCELLENTGOODFAIRPOORUNRECOGNIZED
  • sourcestringDeprecated
  • dobstring<date>

    Date of birth in YYYY-MM-DD format

  • ficointeger

    Estimated credit score

  • amountToBorrowinteger

    Requested loan amount, not required but highly encouraged to get directed offers

  • currentMortgageBalancesinteger

    Remaining mortgage balance.

  • campaignNamestring

    Affiliate-provided campaign name

  • campaignSubSourcestring

    Domain of site that generated that lead

  • ssnstring

    Social security number

  • employmentStatusenum

    Not required but highly encouraged, used for prepop on registration page EmploymentStatus:

    • EMPLOYED
    • UNEMPLOYED
    • SELF_EMPLOYED
    • MILITARY
    • RETIRED
    • UNKNOWN_STATUS
    One ofUNKNOWN_STATUSEMPLOYEDUNEMPLOYEDSELF_EMPLOYEDMILITARYRETIREDUNRECOGNIZED
  • householdIncomenumber

    Current yearly household income

  • monthlyExpensesnumber

    Estimated total monthly expenses, excluding mortgage payments

  • mailingAddressobject
    ShowHide 9 attributes of mailingAddress
    • uuidstring<uuid>
    • street1string

      Property street address

    • street2string

      Property street continued

    • citystring

      Property city

    • statestring

      2 char US state

    • zipstring

      5 or 5+4 char US zip code

    • typeenum

      Type:

      • HOME
      • MAILING
      • SECONDARY
      • INVESTMENT
      One ofHOMEMAILINGSECONDARYINVESTMENTUNRECOGNIZED
    • ownershipenum

      Ownership:

      • SOLE
      • JOINT
      • TRUST
      • LLC
      • OTHER
      • UNKNOWN
      One ofUNKNOWNSOLEJOINTTRUSTLLCOTHERUNRECOGNIZED
    • ownerLegalNamestring
  • queryParamsstringnullable

    Append additional query parameters to applicant url. Only utm_id is supported currently.

  • propertyValuenumbernullable

    Estimate value of property. Required property attestation is true for affiliate profile

  • monthlyMortgagePaymentnumbernullable

    Monthly payment on mortgage. High recommended for attested property values so offers can be more accurate.

Responses

200successful operationobject

  • statusstringRequired

    Offers or No Offers

  • productenumRequired

    Product type ex. HELOC

    One of
    28 valuesUNKNOWN_PRODUCT_TYPEHELOCLEASE_BACKPLCASHOUT_REFISTUDENT_LOAN_REFIMERLOCINVESTOR_PASSPORTBANKMARKETPLACE_AUCTIONCSPBANK_CREDITSERVICINGPIGGYBACKAPP_AFFILIATEPURCHASE_MORTGAGEAPP_AFFILIATE_HELOCMORTGAGECRYPTO_PLCRYPTO_HELOCDFSINVESTOR_PASSPORT_PROFILEHELOANUNIVERSAL_PASSPORTPIGGYBACK_V2DSCRBUSINESS_ONBOARDINGUNRECOGNIZED
  • personalizedUrlstringRequired

    Link out to figure.com

  • offersarray of objects

    List of offer objects for approved requests

    ShowHide 7 attributes of offers
    • terminteger<int32>Required

      Pay off period in months

    • rateTypestringRequired

      Fixed or variable

    • loanAmountnumberRequired

      Requested amount and/or max amount offered plus origination fee

    • interestRatenumberRequired

      Interest rate

    • monthlyPaymentnumberRequired

      Monthly payment on plan

    • aprnumberRequired

      Annual percentage rate

    • originationFeenumberRequired

      Fee that will be added to loan amount

  • cannedTextstring
400Incorrect credentials

No documented body.

408Request timeout (default timeout is 30s)

No documented body.

Response
{
  "status": "Offers",
  "product": "HELOC",
  "offers": [
    {
      "term": 120,
      "rateType": "fixed",
      "loanAmount": 146860,
      "interestRate": 6.25,
      "monthlyPayment": 1648.95,
      "apr": 6.25,
      "originationFee": 7328
    }
  ],
  "personalizedUrl": "https://test.figure.com/a/external/lead/?id={ATTEMPT_UUID}",
  "cannedText": "string"
}